EnhancedProjection (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.criterion
Interface EnhancedProjection

All Superinterfaces:
  Projection, Serializable

All Known Implementing Classes:
  AggregateProjection, AliasedProjection, AvgProjection, CountProjection, Distinct, IdentifierProjection, ProjectionList, Property, PropertyProjection, RowCountProjection, SimpleProjection

    public interface EnhancedProjection

extends Projection

An "enhanced" Projection for a `Criteria` query.

See Also:
  `Projection`, `Criteria`

Method Summary
`String[]` | `getColumnAliases(int position, Criteria criteria, CriteriaQuery criteriaQuery)` Get the SQL column aliases used by this projection for the columns it writes for inclusion into the `SELECT` clause (`Projection.toSqlString(org.hibernate.Criteria, int, org.hibernate.criterion.CriteriaQuery)`.
`String[]` | `getColumnAliases(String alias, int position, Criteria criteria, CriteriaQuery criteriaQuery)` Get the SQL column aliases used by this projection for the columns it writes for inclusion into the `SELECT` clause (`Projection.toSqlString(org.hibernate.Criteria, int, org.hibernate.criterion.CriteriaQuery)` for a particular criteria-level alias.

Methods inherited from interface org.hibernate.criterion.Projection
`getAliases, getColumnAliases, getColumnAliases, getTypes, getTypes, isGrouped, toGroupSqlString, toSqlString`

Method Detail

### getColumnAliases

    String[] getColumnAliases(int position,
                              Criteria criteria,
                              CriteriaQuery criteriaQuery)

  Get the SQL column aliases used by this projection for the columns it writes for inclusion into the `SELECT` clause (`Projection.toSqlString(org.hibernate.Criteria, int, org.hibernate.criterion.CriteriaQuery)`. Hibernate always uses column aliases to extract data from the JDBC `ResultSet`, so it is important that these be implemented correctly in order for Hibernate to be able to extract these val;ues correctly.

  Parameters:
    `position` - Just as in `Projection.toSqlString(org.hibernate.Criteria, int, org.hibernate.criterion.CriteriaQuery)`, represents the number of columns rendered prior to this projection.
    `criteria` - The local criteria to which this project is attached (for resolution).
    `criteriaQuery` - The overall criteria query instance.
  Returns:
    The columns aliases.

### getColumnAliases

    String[] getColumnAliases(String alias,
                              int position,
                              Criteria criteria,
                              CriteriaQuery criteriaQuery)

  Get the SQL column aliases used by this projection for the columns it writes for inclusion into the `SELECT` clause (`Projection.toSqlString(org.hibernate.Criteria, int, org.hibernate.criterion.CriteriaQuery)` for a particular criteria-level alias.

  Parameters:
    `alias` - The criteria-level alias
    `position` - Just as in `Projection.toSqlString(org.hibernate.Criteria, int, org.hibernate.criterion.CriteriaQuery)`, represents the number of columns rendered prior to this projection.
    `criteria` - The local criteria to which this project is attached (for resolution).
    `criteriaQuery` - The overall criteria query instance.
  Returns:
    The columns aliases pertaining to a particular criteria-level alias; expected to return null if this projection does not understand this alias.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.